## mysql-workbench 6.3.10+dfsg

=== debian/changelog ===
mysql-workbench (6.3.10+dfsg-3ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ignore "maybe-uninitialized" errors, they seems false positives on ppc64el
    - Comment out the no-MYSQL_TYPE_JSON.patch, Ubuntu still has mysql.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Jul 2018 09:38:42 +0200

mysql-workbench (6.3.10+dfsg-3) unstable; urgency=medium

  * rules: build with "-Wno-error=deprecated-declarations" (Closes: #896577)
    to fix FTBFS with GDAL 2.3.0.
    Thanks, Bas Couwenberg.
  * Vcs URLs to Salsa

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 Jun 2018 17:18:44 +1000

mysql-workbench (6.3.10+dfsg-2ubuntu3) cosmic; urgency=medium

  * Rebuild against new gdal PIC enabled.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Jun 2018 15:05:02 +0200

mysql-workbench (6.3.10+dfsg-2ubuntu2) cosmic; urgency=medium

  * Ignore "maybe-uninitialized" errors, they seems false positives on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 May 2018 18:31:47 +0200

mysql-workbench (6.3.10+dfsg-2ubuntu1) cosmic; urgency=medium

  [ Gianfranco Costamagna ]
  * Comment out the no-MYSQL_TYPE_JSON.patch, Ubuntu still has mysql.
    - this is candidate for being dropped once Ubuntu does the transition
      to mariadb.

  [ Bas Couwenberg, Dmitry Smirnov ]
  * Fix build failure with new gdal (Closes: #896577)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 May 2018 00:11:03 +0200

mysql-workbench (6.3.10+dfsg-2) unstable; urgency=medium

  * New patch to fix FTBFS on 32bit architectures.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 11 Mar 2018 19:27:04 +1100

mysql-workbench (6.3.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + fixes CVE-2017-3469 (Closes: #861487)
  * Removed non-free "antlr3convertutf.c".
  * Build-Depends:
    - libgtkmm-2.4-dev
    + libgtkmm-3.0-dev
    + libgtk-3-dev
    + python-paramiko
    + antlr3
  * Standards-Version: 4.1.3.
  * debhelper & compat to version 11.
  * rules: removed calls to "dpkg-parsechangelog".
  * watch: added "repacksuffix".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 05 Mar 2018 01:01:14 +1100
