=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
PKD  = $(abspath $(dir $(MAKEFILE_LIST)))

# parallel build by default on linux
ifeq ($(DEB_HOST_ARCH_OS),linux)
    ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
        export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
    endif
endif
$(info Info: DEB_BUILD_OPTIONS:$(origin DEB_BUILD_OPTIONS)=$(DEB_BUILD_OPTIONS))

## "bindnow" causes run-time errors:
#export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

export DEB_CPPFLAGS_MAINT_APPEND= -std=c++11 -Wno-error=deprecated-declarations -Wno-error=maybe-uninitialized

export ANTLR_JAR_PATH=/usr/share/java/antlr3.jar

%:
	dh $@ --max-parallel=4 --with python2,autoreconf

override_dh_clean:
	$(RM) -rv CMakeFiles ext/antlr-runtime/.libs
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- \
            -DUSE_UNIXODBC=ON \
            -DCMAKE_INSTALL_PREFIX=/usr \
            -DREAL_EXECUTABLE_DIR=/usr/lib/$(DEB_SOURCE) \
        ;

override_dh_auto_build:
	# rebuild files generated by flex/bison
	cd library/sql.parser/yy_gen-tool/yy_gen-tool/ \
        && bison -dl parser.yy \
        && flex -B -oparser.lex.cc parser.lex
	# generate documentation for mysql-workbench-docs package
	#cd doc && ./DoxygenRun.sh
	# build all the rest
	dh_auto_build --max-parallel=4

override_dh_auto_install:
	dh_auto_install --max-parallel=4 --destdir=$(CURDIR)/debian/tmp
	# .desktop to unix line endings
	sed -i 's/\r//g' debian/tmp/usr/share/applications/*.desktop
	# remove *.la files
	find . -name '*.la' -delete -printf 'removing %p\n'
	# install link to launcher to /usr/bin/
	dh_link -p$(DEB_SOURCE) \
            usr/lib/$(DEB_SOURCE)/mysql-workbench usr/bin/mysql-workbench

override_dh_python2:
	dh_python2 --no-ext-rename

override_dh_compress:
	dh_compress --exclude=.mwb

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

# help `dh_shlibdeps` to find local libraries: 'dpkg-shlibdeps: error: couldn't find library'
override_dh_shlibdeps:
	LD_LIBRARY_PATH="debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE):$(LD_LIBRARY_PATH)" dh_shlibdeps

## semi-automated manpage generation (to invoke manually)
MAN_NAME=mysql-workbench \\- MySQL Database Design, Administration and Development Tool
mysql-workbench.1:
	help2man --no-info --manual="mysql-workbench" --name="$(MAN_NAME)" mysql-workbench > $@
	perl \
            -E 's{^.*?\s+\\-\s+mysql-workbench.*}{$(MAN_NAME)}; # correcting NAME section'     \
            -E 's{^\.SH DESCRIPTION}{.SH SYNOPSIS};             # correcting SYNOPSIS section' \
            -E 's{^mysql\\-workbench\K\\-bin}{};                # correcting executable name'  \
            -E 's{^Options:}{.SH OPTIONS};                      # create OPTIONS section'      \
            -pi $@

## http://wiki.debian.org/onlyjob/get-orig-source
DTYPE = +dfsg
VER  ?= $(subst $(DTYPE),,$(DEB_VERSION_UPSTREAM))
.PHONY: get-orig-source
get-orig-source: $(DEB_SOURCE)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(DEB_SOURCE)_$(VER)$(DTYPE))
	@

$(DEB_SOURCE)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(DEB_SOURCE)-$(VER)),$(error $(DEB_SOURCE)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(DEB_SOURCE)-$(VER) \
        && tar -xf $(DEB_SOURCE)_$(VER).orig.tar.gz --directory $(DEB_SOURCE)-$(VER) --strip-components 1 \
        || $(RM) -r $(DEB_SOURCE)-$(VER)
	@echo "# Cleaning-up..."
	find $(DEB_SOURCE)-$(VER) -type f -name '*.cmd' -delete -printf 'removed %p\n'
	find $(DEB_SOURCE)-$(VER) -type f -name '*.vc*' -delete -printf 'removed %p\n'
	find $(DEB_SOURCE)-$(VER) -depth -type d -name 'macosx' -exec $(RM) -r {} \; -printf 'removed %p\n'
	find $(DEB_SOURCE)-$(VER) -depth -type d -name 'windows' -exec $(RM) -r {} \; -printf 'removed %p\n'
	cd $(DEB_SOURCE)-$(VER) \
        && $(RM) -r -v \
             build/msi \
             build/res \
             build/zip \
             ext/Aga.Controls \
        0000-ext/antlr-runtime \
             ext/antlr-runtime/src/antlr3convertutf.c \
             ext/scintilla/.hgtags \
             ext/scintilla/cocoa \
             ext/scintilla/win32 \
             frontend/mac \
             library/base.windows \
             library/base.wr/resource.h \
             library/forms/winforms/resource.h \
             library/forms/cocoa \
             library/sql.parser/yy_purify-tool/dist/*.jar \
             library/sql.parser/update-tool/classes/*.class \
             MySQLWorkbench.xcodeproj \
             plugins/wb.doclib/res/DocLibrary/* \
             res/fonts \
             build/ms \
             ext/Aga.Controls \
	#$(RM) -v $(DEB_SOURCE)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(DEB_SOURCE)-$(VER)" -xdev -type f -print | LC_ALL=C sort \
        | XZ_OPT="-7v" tar -caf "$(DEB_SOURCE)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
        && $(RM) -r "$(DEB_SOURCE)-$(VER)"
